Bug 839372 - [feature request] ability for REST api to retrieve the admin user information for jenkins server.
[feature request] ability for REST api to retrieve the admin user information...
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 14:27 EDT by Peter Ruan
Modified: 2015-05-14 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 17:43:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-07-11 14:27:06 EDT
Description of problem:
  Feature request...

  When provisioin the jenkins server via web or cli the first time, the admin user information is returned,  If the page is closed, then currently there's no way to get that information back.  The current REST API returns the user information for system_builder only.  It would be nice to be able to get the admin user information back as well to have the ability to add/remove user to the jenkins server.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ravi Sankar 2012-08-29 17:43:36 EDT
We don't need another REST call to get admin info. We can always use the 'system_builder' user to reset the password for 'admin' user. Add/remove user capability is available for both system_builder and admin users.

Note You need to log in before you can comment on or make changes to this bug.